# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PatchDocument do
  @moduledoc """
  A JSONPatch document as defined by RFC 6902
  """

  @derive [Poison.Encoder]
  defstruct [
    :op,
    :path,
    :value,
    :from
  ]

  @type t :: %__MODULE__{
    :op => String.t,
    :path => String.t,
    :value => String.t | nil,
    :from => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PatchDocument do
  def decode(value, _options) do
    value
  end
end

